package gogs

import (
	"context"

	"git.unistack.org/unistack-org/pkgdash/internal/configcli"
	"git.unistack.org/unistack-org/pkgdash/internal/modules"
)

type Gogs struct {
	Token string
}

func NewGogs(cfg configcli.Config) *Gogs {
	return &Gogs{
		Token: cfg.Source.Token,
	}
}

func (g *Gogs) RequestOpen(ctx context.Context, branch string, path string, mod modules.Update) error {
	return nil
}
func (g *Gogs) RequestClose(ctx context.Context, branch string, path string) error {
	return nil
}
func (g *Gogs) RequestUpdate(ctx context.Context, branch string, path string, mod modules.Update) error {
	return nil
}
func (g *Gogs) RequestList(ctx context.Context, branch string) (map[string]string, error) {
	return nil, nil
}
